Api referenceAudits

Audit Agent Timeline

Reference for Audit Agent Timeline in the Hyperoru v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/audits/{audit_id}/agents

Audit Agent Timeline. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
audit_id*Audit Id
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audits/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents"
{
  "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",
  "context_hash": "string",
  "runs": [
    {
      "agent_key": "string",
      "agent_version": "string",
      "artifact": {
        "artifact": {},
        "confidence": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "evidence_ids": [
          "string"
        ],
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "kind": "string",
        "title": "string"
      },
      "attempt": 0,
      "cache_hit": true,
      "cached_input_tokens": 0,
      "completed_at": "2019-08-24T14:15:22Z",
      "cost_usd": "0",
      "error_code": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "input_tokens": 0,
      "model_id": "string",
      "output_tokens": 0,
      "reasoning_effort": "string",
      "started_at": "2019-08-24T14:15:22Z",
      "status": "string"
    }
  ]
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}